> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all client requests associated with a specific phone call.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /phone-calls/{id}/requests
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /phone-calls/{id}/requests:
    get:
      tags:
        - PhoneCall
      summary: Retrieves all client requests associated with a specific phone call.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the phone call.
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Successfully retrieved client requests.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientRequestViewModel'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientRequestViewModel'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ClientRequestViewModel'
components:
  schemas:
    ClientRequestViewModel:
      type: object
      properties:
        id:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        request:
          type: string
          nullable: true
        clientId:
          type: integer
          format: int32
        portalId:
          type: integer
          format: int32
        phoneCallId:
          type: integer
          format: int32
        phoneCallTranscriptLineId:
          type: integer
          format: int32
          nullable: true
        status:
          type: string
          nullable: true
        response:
          type: string
          nullable: true
        respondedAt:
          type: string
          format: date-time
          nullable: true
        respondedByAccountId:
          type: integer
          format: int32
          nullable: true
        respondedBy:
          type: string
          nullable: true
      additionalProperties: false

````